Index: tmp/org.txm.lexicaltable.core/src/org/txm/functions/intertextualdistance/InterTextDistance.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/functions/intertextualdistance/InterTextDistance.java	(revision 489)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/functions/intertextualdistance/InterTextDistance.java	(revision 490)
@@ -7,7 +7,7 @@
 
 import org.rosuda.REngine.REXP;
 import org.rosuda.REngine.REXPMismatchException;
-import org.txm.functions.ProgressWatcher;
+import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.functions.TXMCommand;
 import org.txm.lexicaltable.core.statsengine.data.ILexicalTable;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -27,7 +27,7 @@
 	
 	
 	@Override
-	public boolean compute(ProgressWatcher watcher) {
+	public boolean compute(IProgressMonitor watcher) {
 try {
 	//		Corpus corpus = CorpusManager.getCorpusManager().getCorpus("VOEUX");
 	//		String method = "euclidean"; // "euclidean"’, ‘"maximum"’, ‘"manhattan"’, ‘"canberra"’, ‘"binary"’ or ‘"minkowski"’
Index: tmp/org.txm.cah.core/src/org/txm/cah/core/functions/CAH.java
===================================================================
--- tmp/org.txm.cah.core/src/org/txm/cah/core/functions/CAH.java	(revision 489)
+++ tmp/org.txm.cah.core/src/org/txm/cah/core/functions/CAH.java	(revision 490)
@@ -35,7 +35,7 @@
 import org.txm.cah.core.messages.CAHCoreMessages;
 import org.txm.cah.core.preferences.CAHPreferences;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.functions.ProgressWatcher;
+import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.functions.TXMCommand;
 import org.txm.lexicaltable.core.functions.LexicalTable;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -217,7 +217,7 @@
 	protected static int nocah = 1;
 
 	@Override
-	public boolean compute(ProgressWatcher watcher)	{
+	public boolean compute(IProgressMonitor watcher)	{
 		
 		Log.info("Computing CAH...");
 		try {
